Subject: Re: Git in Outreachy?

From: Phillip Wood <[email-masked]>
Date: Wed, 16 Sep 2020 10:45:46 +0100

On 16/09/2020 10:01, Christian Couder wrote:
> Hi Dscho,
> 
> On Wed, Sep 2, 2020 at 10:50 AM Johannes Schindelin
> <[email-masked]> wrote:
> 
>> As to projects, I would like to believe that
>> https://github.com/gitgitgadget/git/issues has grown into a useful
>> resource.
> 
> Thanks for the useful resource!
> 
> I would be interested in mentoring, or better co-mentoring, the
> following projects:
> 
> - Accelerate rename detection and range-diff
> (https://github.com/gitgitgadget/git/issues/519): ideally I would
> co-mentor with someone a bit familiar with the suggested algorithms.
> - Add support for drop!/reword! commits to `git rebase -i`
> (https://github.com/gitgitgadget/git/issues/259,
> https://public-inbox.org/git/alpine.DEB.2.21.1.1710151754070.40514@virtualbox/)

I've got some patches that implement the reword! part (or something very 
similar) at [1]. I've never ended up using them that much so haven't 
pushed them forward.

Best Wishes

Phillip

[1] https://github.com/phillipwood/git/commits/wip/rebase-amend

> - Invent a way to retain reflogs for a while after the ref was deleted
> (https://github.com/gitgitgadget/git/issues/236): I guess this might
> be implemented as part of the new `git maintenance` builtin.
> 
> Best,
> Christian.
>